Bug 429750 - rhmd script announces itself as qpidd.
rhmd script announces itself as qpidd.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Nuno Santos
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 16:11 EST by Alan Conway
Modified: 2013-09-12 18:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 12:58:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-01-22 16:11:44 EST
Description of problem:

From daneuma@comcast.net

> 1. When I ran "service rhmd status", it said "qpidd (pid #) is running". This
could be confusing if you didn't know rhmd = qpidd. Do you plan to change the name?

Expected results:

We should update the script to say rhmd rather than qpidd.
Comment 1 Nuno Santos 2008-01-22 17:01:29 EST
Notes: the underlying daemon is indeed qpidd (with persistence module loaded),
so a possible solution is to filter the /sbin/service output as needed.

Fixed at svn rev 1598:

$ svn diff -r 1597:1598
Index: rhmd
===================================================================
--- rhmd        (revision 1597)
+++ rhmd        (revision 1598)
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# rhmd        Startup script for the Qpid messaging daemon with bdbstore enabled
+# rhmd        Startup script for the RHM messaging daemon (Qpid messaging
daemon with bdbstore enabled)
 #
 
 ### BEGIN INIT INFO
@@ -30,7 +30,7 @@
 RETVAL=0
 
 start() {
-       echo -n $"Starting Qpid AMQP daemon: "
+       echo -n $"Starting RHM daemon: "
        $prog --daemon --config=/etc/rhmd.conf
        RETVAL=$?
        echo
@@ -39,7 +39,7 @@
 }
 
 stop() {
-       echo -n $"Stopping Qpid AMQP daemon: "
+       echo -n $"Stopping RHM daemon: "
        killproc $prog
        RETVAL=$?
        echo
@@ -62,7 +62,7 @@
        $1
        ;;
   status)
-       status $prog
+       status $prog | sed 's/qpidd/rhmd/'
        RETVAL=$?
        ;;
   force-reload)

Comment 2 Mike Bonnet 2008-02-29 11:43:01 EST
qpidd-0.2-24.el5, qpidc-0.2-24.el5, and rhm-0.2-18.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.